<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/nebula-dispatch/nebula-dispatch.html"> 

<!--
`<suggestion-entry>` is not documented properly yet
-->
<dom-module id="suggestion-entry">
  <template>
    <link rel="stylesheet" href="suggestion-entry.css?__inline=true">
    <style include="l1page-theme"></style>

    <iron-icon icon="favorite-border"></iron-icon>
    <div>
      <p message>[[_parsedEntry.message]]</p>
      <div buttons>
        <dom-repeat items=[[_parsedEntry.links]] as=link>
          <template>
            <paper-button raised on-click=_followLink>[[link.name]]</paper-button>
          </template>
        </dom-repeat>
        <!-- <dom-repeat items=[[_parsedEntry.actions]] as=action>
          <template>
            <paper-button raised on-click=_doAction>[[action.name]]</paper-button>
          </template>
        </dom-repeat> -->
      </div>
    </div>

    <slot></slot>
  </template>
</dom-module>

<script src="suggestion-entry.js?__inline=true"></script>
